return {
  "neovim/nvim-lspconfig",

  config = function()
    local lspconfig = require("lspconfig")

    lspconfig.clangd.setup({
      cmd = { "clangd", "-header-insertion=never" },
    })
    lspconfig.lua_ls.setup({})
    lspconfig.matlab_ls.setup({})
    lspconfig.mesonlsp.setup({})
    lspconfig.sqlls.setup({})
    lspconfig.svlangserver.setup({})
    lspconfig.texlab.setup({})

    lspconfig.ts_ls.setup({
      init_options = {
        plugins = {
          {
            name = "@vue/typescript-plugin",
            location = vim.fn.expand("$MASON") .. "/packages/vue-language-server/node_modules/@vue/language-server",
            languages = { "vue" },
          },
        },
      },
      filetypes = { "typescript", "javascript", "javascriptreact", "typescriptreact", "vue" },
    })
    lspconfig.volar.setup({})
    lspconfig.zig.setup({})
  end
}
